Bug 1464797 - Review Request: trezor-common - udev rules and protobuf messages for the hardware wallet TREZOR
Review Request: trezor-common - udev rules and protobuf messages for the hard...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 17:38 EDT by Jonny Heggheim
Modified: 2017-07-20 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 03:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nathans: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jonny Heggheim 2017-06-25 17:38:27 EDT
Spec URL: https://jonny.fedorapeople.org/trezor-common.spec
SRPM URL: https://jonny.fedorapeople.org/trezor-common-0-0.1.fc25.src.rpm
Fedora Account System Username: jonny
Description: Provides udev rules and protobuf messages for all the hardware wallets from TREZOR.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20172509
Comment 1 Jonny Heggheim 2017-06-25 17:56:00 EDT
python-trezor will use/split this package since the udev rules are now part of trezor-common.
Comment 2 Jonny Heggheim 2017-06-28 02:53:52 EDT
Updated to latest git commit to include the license file. Same NVR, new koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20222023
Comment 3 Nathan Scott 2017-07-17 05:43:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

Only issue I found is a %description line being 83 chars (max 79) -
see rpmlint error messages below.  Otherwise, package looks good.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/nathans/tmp/1464797-trezor-
     common/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: trezor-common-0-0.1.fc23.noarch.rpm
          trezor-common-0-0.1.fc23.src.rpm
trezor-common.noarch: E: description-line-too-long C Provides udev rules and protobuf messages for all the hardware wallets from TREZOR.
trezor-common.src: E: description-line-too-long C Provides udev rules and protobuf messages for all the hardware wallets from TREZOR.
2 packages and 0 specfiles checked; 2 errors, 7 warnings.

(warnings all fine).


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1464797
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Jonny Heggheim 2017-07-17 17:17:16 EDT
Updated the package with new line in description + bumped the version for Conflicts to python-trezor <= 0.7.16-1
 
Spec URL: https://jonny.fedorapeople.org/trezor-common.spec
SRPM URL: https://jonny.fedorapeople.org/trezor-common-0-0.1.fc25.src.rpm
Comment 5 Nathan Scott 2017-07-17 18:31:56 EDT
Review approved.
Comment 6 Jonny Heggheim 2017-07-18 03:32:55 EDT
Thanks
Comment 7 Gwyn Ciesla 2017-07-19 18:50:12 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/trezor-common

Note You need to log in before you can comment on or make changes to this bug.